<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
include LOCALE.LOCALESET."forum/main.php";
if (file_exists(INFUSIONS."unanswered_threads/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."unanswered_threads/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."unanswered_threads/locale/English.php";
}

opentable($locale['UAFT_001']);

	// First get all threads without a reply
	$rows = dbrows(dbquery("SELECT count(thread_id), thread_id, forum_id, post_subject, post_author, post_datestamp
					FROM ".$db_prefix."posts
					GROUP BY thread_id 
					HAVING count(thread_id) = 1"
				));

	if (!$rowstart) $rowstart = 0;

	echo "<div align='center' style='margin-top:5px;'>
	".makePageNav($rowstart,20,$rows,3)."
	</div>\n";


	$query = "SELECT count(thread_id), thread_id, forum_id, post_subject, post_author, post_datestamp
					FROM ".$db_prefix."posts
					GROUP BY thread_id 
					HAVING count(thread_id) = 1
					ORDER BY post_datestamp DESC
					LIMIT $rowstart,20
			";

	$result = dbquery($query);
	$numrows = dbrows($result);

	// Only display unanswered threads
	if ($numrows != 0) {

		// Display headings
		echo "<br /><table border='0' cellspacing='0' cellpadding='0' width='100%' class='tbl-border'>
		<tr>
			<td>
				<table border='0' cellspacing='1' cellpadding='0' width='100%'>
				<tr>
					<td class='tbl2' style='font-weight:bold;'>".$locale['UAFT_002']."</td>
					<td class='tbl2' style='font-weight:bold;'>".$locale['UAFT_003']."</td>
					<td class='tbl2' style='font-weight:bold;' align='center' width='100'>".$locale['UAFT_004']."</td>
					<td class='tbl2' style='font-weight:bold;' align='center' width='120'>".$locale['UAFT_005']."</td>
		</tr>\n";

				// Loop through each thread
				while ($data = dbarray($result)) {

					// Get forum details
					$result2 = dbquery("SELECT forum_name, forum_access, forum_id, forum_cat FROM ".$db_prefix."forums WHERE forum_id='".$data['forum_id']."'");
					$data2 = dbarray($result2);

					// Get forum category details
					$forum_cat = dbresult(dbquery("SELECT forum_name FROM ".$db_prefix."forums WHERE forum_id='".$data2['forum_cat']."'"),0);

					// Check if thread is locked
					$locked = (dbresult(dbquery("SELECT thread_locked FROM ".$db_prefix."threads WHERE thread_id='".$data['thread_id']."'"),0) == 1 ? true : false);

					// Check if user has access to this forum and the thread isn't locked
					if (checkgroup($data2['forum_access']) && $locked == false) {

						// Lookup username
						$username = dbresult(dbquery("SELECT user_name FROM ".$db_prefix."users WHERE user_id='".$data['post_author']."'"),0);

						// Display threads
						echo "<tr>
						<td class='tbl1'><a title='".$data['post_subject']."' href='".BASEDIR."forum/viewthread.php?
						forum_id=".$data['forum_id']."&thread_id=".$data['thread_id']."'>".trimlink($data['post_subject'],35)."</a></td>
						<td class='tbl1'><a title='".$data2['forum_name']." [".$forum_cat."]' href='".BASEDIR."forum/viewforum.php?forum_id=
						".$data2['forum_id']."&forum_cat=".$data2['forum_cat']."'>".$data2['forum_name']."</a></td>
						<td align='center' class='tbl1'><a href='".BASEDIR."profile.php?lookup=
						".$data['post_author']."'>".$username."</a></td>
						<td align='center' class='tbl1'>".strftime($settings['forumdate'],
						$data['post_datestamp']+($settings['timeoffset']*3600))."</td>
						</tr>\n";
					}
				}

			echo "</table>
			</td>
		</tr>
		</table><br />\n";

		echo "<div align='center' style='margin-top:5px;'>
		".makePageNav($rowstart,20,$rows,3)."
		</div><br />\n";

	} else {

		// No posts have gone unanswered
		echo "<div style='text-align:center;'><br />".$locale['UAFT_006']."<br /><br /></div>\n";

	}

closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>